Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IIsoparmGraphic

    java.lang.Object
      igeo.gui.IIsoparmGraphic

    public class IIsoparmGraphic

extends java.lang.Object

Class to draw isoparms of a surface. This class is mainly used in ISurfaceGrahpicWireframeGL.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IPolyline[]` | `polyline`
`IPolyline2D[]` | `polyline2`

Constructor Summary
`IIsoparmGraphic(ISurfaceI surf, double param, boolean uOrV)`
`IIsoparmGraphic(ISurfaceI surf, double param, boolean uOrV, ITrimLoopGraphic[] outtrims, ITrimLoopGraphic[] intrims)`

Method Summary
`IPolyline` | `getLine(int i)`
`IPolyline2D[]` | `getLine2D()`
`IPolyline2D` | `getLine2D(int i)`
`void` | `init(ISurfaceI surface, double param, boolean uOrV)`
`void` | `init(ISurfaceI surface, double param, boolean uOrV, ITrimLoopGraphic[] outtrims, ITrimLoopGraphic[] intrims)`
`int` | `num()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### polyline2

    public IPolyline2D[] polyline2

### polyline

    public IPolyline[] polyline

Constructor Detail

### IIsoparmGraphic

    public IIsoparmGraphic(ISurfaceI surf,
                           double param,
                           boolean uOrV)

### IIsoparmGraphic

    public IIsoparmGraphic(ISurfaceI surf,
                           double param,
                           boolean uOrV,
                           ITrimLoopGraphic[] outtrims,
                           ITrimLoopGraphic[] intrims)

Method Detail

### init

    public void init(ISurfaceI surface,
                     double param,
                     boolean uOrV)

### init

    public void init(ISurfaceI surface,
                     double param,
                     boolean uOrV,
                     ITrimLoopGraphic[] outtrims,
                     ITrimLoopGraphic[] intrims)

### num

    public int num()

### getLine

    public IPolyline getLine(int i)

### getLine2D

    public IPolyline2D getLine2D(int i)

### getLine2D

    public IPolyline2D[] getLine2D()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD